const format = (a: string) => a.split(' ').join('').trim()

const firstLetter = (word: string) => word.slice(0, 1).toUpperCase()

const slicedWord = (word: string, max: number, from: number = 0) =>
    word.length < max ? word.slice(from) : word.slice(from, max)
    
const timeStamp = (updatedAt: string) => new Date(updatedAt).toLocaleString("en-US", {
    year:'numeric',
    month: 'short',
    day: 'numeric',
    hour: 'numeric',
    minute: '2-digit',
})

const timeStampFilter = (updatedAt: string) => new Date(updatedAt).toLocaleString("en-US", {
    year:'numeric',
    month: 'short',
    day: 'numeric',
})


export { format,firstLetter,slicedWord,timeStamp,timeStampFilter }