import { createReducer } from '@reduxjs/toolkit';
import { actionIsOpen } from '../action';
import { IControlState,IPayloadIsOpen } from '../../../typescript/redux/control/interfaces'

const initialState:IControlState = {
  isOpen: '',
}

const reducerControl = createReducer(initialState, {
  [actionIsOpen.type]: (state, { payload:isOpen }:IPayloadIsOpen) => {
    return {...state,isOpen}
  },
});

export default reducerControl;
